1. Users
POSPointe
MyPOSPointe API
  • POSPointe GiftCard Server
  • Pospointe Trans
  • MyPOSPointe API
  • Pospointe Agent
  • Pospointe Loyalty
  • Dashboard
    • Top Selling Items
      GET
    • Get Totals
      GET
    • Cash and Card Total Sales
      GET
    • Sales for last 7 days
      GET
    • Store busy hours
      GET
    • Sales for last 14 days
      GET
    • Get Online Orders
      GET
    • Get Employee
      GET
    • Employee Attendance
      GET
    • Get Employee Departments
      GET
    • Get Application
      GET
  • Users
    • Add User
      POST
    • Get all Users
      GET
    • Get a user
      GET
    • Edit User
      PUT
  • MyPOSDevice
    • Get License
      GET
    • Register Device
      POST
    • Register Device with OTP
      POST
  • Menus
    • Items
      • Get Items
    • Store Hours
      • Get Store Hrs
      • Update Store Hrs
  • Reports
    • Flash Report
      • Get FlashReport Details
    • Transaction
      • Get All Transactions
      • Get Items per transactions
      • Get Cashier Details
    • Shift Close
      • Get ShiftClose report
      • Get "ShiftCloseEmail" value
      • Get report with Id
      • Post to QuickBooks
      • Update "ShiftCloseEmail" value
    • Item Sales By Department
      • Get department sales
  • Online Orders
    • Get Online Order Sales
  • Business Info
    • Business Info
    • Update Business Info
    • Get Tax Rate
    • Update Tax Rate
  • Get Departments
    GET
  1. Users

Edit User

Developing
PUT
https://api3.mypospointe.com:8843/Users/{id}

Request

Path Params

Header Params

Body Params application/jsonRequired

Example
{
    "userId": "02",
    "userName": "CASHIER DAY",
    "userPin": "1234",
    "userStatus": "OK",
    "userPicturePath": "https://i.postimg.cc/Pr3Gz7wd/cashier-1.png",
    "userPos": "OK",
    "userBackEnd": "NO",
    "userEndDayPeform": "OK",
    "userDashBoard": "NO",
    "performEnddayForced": true,
    "requestSupport": true,
    "logtOut": true,
    "recallInvoice": true,
    "recallOldInvoice": true,
    "voidTrans": true,
    "retrnTrans": true,
    "customerManagement": true,
    "creditCardSale": true,
    "cashSale": true,
    "giftCardSale": true,
    "allowpricechange": true,
    "allowdiscount": true,
    "allowReturns": true,
    "allowCashDrawerOpen": true,
    "allowGiftCardBalanceChk": true,
    "allowNonTaxSales": true
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request PUT 'https://api3.mypospointe.com:8843/Users/02' \
--header 'db: 170' \
--header 'Content-Type: application/json' \
--data-raw '{
    "userId": "02",
    "userName": "CASHIER DAY",
    "userPin": "1234",
    "userStatus": "OK",
    "userPicturePath": "https://i.postimg.cc/Pr3Gz7wd/cashier-1.png",
    "userPos": "OK",
    "userBackEnd": "NO",
    "userEndDayPeform": "OK",
    "userDashBoard": "NO",
    "performEnddayForced": true,
    "requestSupport": true,
    "logtOut": true,
    "recallInvoice": true,
    "recallOldInvoice": true,
    "voidTrans": true,
    "retrnTrans": true,
    "customerManagement": true,
    "creditCardSale": true,
    "cashSale": true,
    "giftCardSale": true,
    "allowpricechange": true,
    "allowdiscount": true,
    "allowReturns": true,
    "allowCashDrawerOpen": true,
    "allowGiftCardBalanceChk": true,
    "allowNonTaxSales": true
}'

Responses

🟢200Success
application/json
Body

Example
{}
Modified at 2026-04-29 07:32:24
Previous
Get a user
Next
Get License
Built with